Name: metromap
Version: 0.1.1
Release: alt2

Summary: Metro (subway) navigator
License: GPL
Group: Office

Url: http://metromap.antex.ru
Source: %url/%name-%version.tar.bz2
Packager: Eugene V. Horohorin <genix@altlinux.ru>

BuildArch: noarch

Requires: python = %__python_version
Requires: %name-map-Moscow = %version

# Automatically added by buildreq on Tue Jun 21 2005
BuildRequires: python-base python-modules-encodings

# added by hand
BuildRequires: python-devel >= %__python_version

%description
A simple pygtk+2 program for finding paths in metro (subway) maps.

%package map-Moscow
Summary: metro map for Moscow
Group: Office
Requires: %name = %version

%description map-Moscow
metro map for Moscow

%package map-Petersburg
Summary: metro map for Petersburg
Group: Office
Requires: %name = %version

%description map-Petersburg
metro map for Petersburg

%package map-London
Summary: metro map for London
Group: Office
Requires: %name = %version

%description map-London
metro map for London

%package map-Berlin
Summary: metro map for Berlin
Group: Office
Requires: %name = %version

%description map-Berlin
metro map for Berlin

%package map-Kiev
Summary: metro map for Kiev
Group: Office
Requires: %name = %version

%description map-Kiev
metro map for Kiev

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages

%prep
%setup -q
rm -f modules/MapDisplayGC.py*
rm -rf tests

%build
make install DESTDIR=%buildroot%prefix
%find_lang %name

# Menu
mkdir -p %buildroot%_desktopdir
cat << EOF > %buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Encoding=UTF-8
Name=MetroMap
GenericName=Metro (subway) navigation
Exec=metromap
Icon=metromap
Type=Application
Terminal=false
Categories=Gtk;Utility;Office;
EOF

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%dir %_datadir/%name
%dir %_datadir/%name/data
%_datadir/%name/modules/*
%_desktopdir/%name.desktop
%doc doc/AUTHORS doc/NEWS doc/README doc/README.data doc/TODO

%files map-Moscow
%_datadir/%name/data/Moscow

%files map-Petersburg
%_datadir/%name/data/Peterburg

%files map-London
%_datadir/%name/data/London

%files map-Berlin
%_datadir/%name/data/Berlin

%files map-Kiev
%_datadir/%name/data/KievUkr

%changelog
* Tue Jan 16 2007 Michael Shigorin <mike@altlinux.org> 0.1.1-alt2
- changed menu group to "Office" (#10662)
- added Packager:
- spec cleanup
- s/Peterburg/Petersburg/
- added freedesktop menu instead of debian's one

* Sun Aug 14 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.1.1-alt1
- new version

* Sun Jun 19 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.0.9-alt1
- initial build for Sisyphus.

